Bug 61900 - Kernel DRM errors in log with Radeon 7500
Kernel DRM errors in log with Radeon 7500
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-25 14:23 EST by Jim Hayward
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 10:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Hayward 2002-03-25 14:23:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
After upgrading from 7.2 to Skipjack I am getting the following error message in

Mar 24 21:28:41 garfield kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Mar 24 21:32:00 garfield last message repeated 40 times
Mar 24 21:33:26 garfield last message repeated 15 times
Mar 24 21:36:05 garfield last message repeated 22 times
Mar 24 21:37:13 garfield last message repeated 52 times
Mar 24 21:38:30 garfield last message repeated 50 times
Mar 24 21:39:43 garfield last message repeated 84 times
and so on....

This error. as far as I can tell so far, isn't causing any problems other then
filling up  /var/log/messages.
I was running XFree86-4.2.0-6.47 and kernel-2.4.17-0.18 on my 7.2 install, but I
was not getting this error.

Version-Release number of selected component (if applicable):
kernel-2.4.18-0.4 athlon

How reproducible:

Steps to Reproduce:
1. Upgrade from 7.2
2. startx

Actual Results:  Error messages in /var/log/messages

Expected Results:  No error messages in /var/log/messages

Additional info:

Athlon XP 1800+
Ati Radeon 7500

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon 7500 QW (prog-if
00 [VGA])
	Subsystem: ATI Technologies Inc: Unknown device 013a
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 10
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at c000 [size=256]
	Memory at e1000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2
Comment 1 Jim Hayward 2002-03-27 17:34:55 EST
An update to kernel-2.4.18-0.8 seems to have cured this problem. :-) I am
running 2.4.18-0.8 and XFree86-4.2.0-6.48 now.
Comment 2 Arjan van de Ven 2002-03-28 09:14:25 EST
Ok let me know if this comes back....
Comment 3 Jim Hayward 2002-03-28 10:16:44 EST
Ok, I tried to see if I could reproduce the error and it is still there. It just
doesn't occur as frequently with 2.4.18-0.8. I noticed it doesn't occur with all
3D games. Playing RTCW will produce the error everytime.
Comment 4 Arjan van de Ven 2002-04-05 09:33:59 EST
Nuked the printk with the error.... doesn't look like a critical error so
printk'ing on it is BAD.

Note You need to log in before you can comment on or make changes to this bug.